#ifndef _SRAMTEST_H
#define _SRAMTEST_H



/* header files we depend upon
 */
#include "../apptel/sram.h"             // sram_init()



/* errors
 */
#define ERROR_SRAM_TEST_INIT_0_WRITE    8
#define ERROR_SRAM_TEST_INIT_0_READ     9
#define ERROR_SRAM_TEST_INIT_0_MISCOMP  10
#define ERROR_SRAM_TEST_WALK_1_WRITE    11
#define ERROR_SRAM_TEST_WALK_1_READ     12
#define ERROR_SRAM_TEST_WALK_1_MISCOMP  13
#define ERROR_SRAM_TEST_FINAL_0_WRITE   14
#define ERROR_SRAM_TEST_FINAL_0_READ    15
#define ERROR_SRAM_TEST_FINAL_0_MISCOMP 16
#define ERROR_SRAM_TEST_INIT_1_WRITE    17
#define ERROR_SRAM_TEST_INIT_1_READ     18
#define ERROR_SRAM_TEST_INIT_1_MISCOMP  19
#define ERROR_SRAM_TEST_WALK_0_WRITE    20
#define ERROR_SRAM_TEST_WALK_0_READ     21
#define ERROR_SRAM_TEST_WALK_0_MISCOMP  22
#define ERROR_SRAM_TEST_FINAL_1_WRITE   23
#define ERROR_SRAM_TEST_FINAL_1_READ    24
#define ERROR_SRAM_TEST_FINAL_1_MISCOMP 25
#define ERROR_SRAM_TEST_CHK_WRITE_1     26
#define ERROR_SRAM_TEST_CHK_WRITE_2     27
#define ERROR_SRAM_TEST_CHK_READ_2      28
#define ERROR_SRAM_TEST_CHK_MISCOMP_2   29
#define ERROR_SRAM_TEST_CHK_WRITE_3     30
#define ERROR_SRAM_TEST_CHK_READ_3      31
#define ERROR_SRAM_TEST_CHK_MISCOMP_3   32




/* function prototypes
 */
#ifdef __cplusplus
extern "C" {
#endif

int sram_test( void );

#ifdef __cplusplus
}
#endif



#endif  /* not included yet */
