@echo off

rem AMCC PCI-controlled bus master write address register is at offset 0x24
rem next card write will occur above 7 MB + 64 KB line
rem
rem because DOS + High Memory Area (HMA) leaves off at 1 MB + 64 KB line
rem and SMARTDRV uses another 2 MB
rem and Borland C++ DPMI32 server uses another 4 MB
rem     when environment variable DPMIMEM has value "MAXMEM 4096"
memhelp 0xfebfff64 32 0x00710000

rem AMCC PCI-controlled bus master write transfer count register is at offset 0x28
rem next card write will be allowed to use 48 MB
memhelp 0xfebfff68 32 0x03000000

